package com.ruoyi.system.domain.suggestionFj;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 投诉建议_附件对象 suggestion_fj
 * 
 * @author boman
 * @date 2025-02-24
 */
public class SuggestionFj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 附件ID */
    private Long suggestionFjId;

    /** 投诉建议id */
    @Excel(name = "投诉建议id")
    private Long suggestionId;

    /** 原文件名称 */
    @Excel(name = "原文件名称")
    private String oldName;

    /** 附件名称 */
    @Excel(name = "附件名称")
    private String name;

    /** 附件地址 */
    @Excel(name = "附件地址")
    private String url;

    /** 文件分类：1：基础附件 */
    @Excel(name = "文件分类：1：基础附件")
    private String bigType;

    /** 文件类型 1：投诉建议 */
    @Excel(name = "文件类型 1：投诉建议")
    private String type;

    public void setSuggestionFjId(Long suggestionFjId) 
    {
        this.suggestionFjId = suggestionFjId;
    }

    public Long getSuggestionFjId() 
    {
        return suggestionFjId;
    }
    public void setSuggestionId(Long suggestionId) 
    {
        this.suggestionId = suggestionId;
    }

    public Long getSuggestionId() 
    {
        return suggestionId;
    }
    public void setOldName(String oldName) 
    {
        this.oldName = oldName;
    }

    public String getOldName() 
    {
        return oldName;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setUrl(String url) 
    {
        this.url = url;
    }

    public String getUrl() 
    {
        return url;
    }
    public void setBigType(String bigType) 
    {
        this.bigType = bigType;
    }

    public String getBigType() 
    {
        return bigType;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("suggestionFjId", getSuggestionFjId())
            .append("suggestionId", getSuggestionId())
            .append("oldName", getOldName())
            .append("name", getName())
            .append("url", getUrl())
            .append("bigType", getBigType())
            .append("type", getType())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
